Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Class IncludedFeatureReference

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.FeatureReferenceModel
                  org.eclipse.update.core.FeatureReference
                      org.eclipse.update.core.model.IncludedFeatureReferenceModel
                          org.eclipse.update.core.IncludedFeatureReference

All Implemented Interfaces:
  IAdaptable, IFeatureReference, IIncludedFeatureReference, IPlatformEnvironment

public class IncludedFeatureReference
extends IncludedFeatureReferenceModel
implements IIncludedFeatureReference

This is a utility class representing the options of a nested feature. Feature will include other features. This class will represent the options of the inclusion.

Clients may instantiate; not intended to be subclassed by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0.1
See Also:
  `VersionedIdentifier`

Constructor Summary
`IncludedFeatureReference()` Construct a included feature reference
`IncludedFeatureReference(IFeatureReference featureReference)` Constructor IncludedFeatureReference.
`IncludedFeatureReference(IIncludedFeatureReference includedFeatureRef)` Construct a feature options

Method Summary
`IFeature` | `getFeature()` Returns the referenced feature.
`IFeature` | `getFeature(boolean perfectMatch, IConfiguredSite configuredSite)` Returns the referenced feature.
`IFeature` | `getFeature(boolean perfectMatch, IConfiguredSite configuredSite, IProgressMonitor monitor)` Returns the referenced feature.
`IFeature` | `getFeature(IProgressMonitor monitor)` Returns the referenced feature.

Methods inherited from class org.eclipse.update.core.model.IncludedFeatureReferenceModel
`getMatch, getSearchLocation, isOptional, isOptional, setMatchingRule, setSearchLocation`

Methods inherited from class org.eclipse.update.core.FeatureReference
`getFeature, getName, getNL, getOS, getOSArch, getSite, getVersionedIdentifier, getWS, isPatch, setSite, setURL`

Methods inherited from class org.eclipse.update.core.model.FeatureReferenceModel
`equals, getFeatureIdentifier, getFeatureVersion, getLabel, getLabelNonLocalized, getPatch, getPropertyName, getSiteModel, getType, getURL, getURLString, resolve, setArch, setFeatureIdentifier, setFeatureVersion, setLabel, setNL, setOS, setPatch, setSiteModel, setType, setURLString, setWS, toString`

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.update.core.IIncludedFeatureReference
`getMatch, getSearchLocation, isOptional`

Methods inherited from interface org.eclipse.update.core.IFeatureReference
`getName, getSite, getURL, getVersionedIdentifier, isPatch, setSite, setURL`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.update.core.IPlatformEnvironment
`getNL, getOS, getOSArch, getWS`

Constructor Detail

### IncludedFeatureReference

    public IncludedFeatureReference()

  Construct a included feature reference

Since:
  2.1

### IncludedFeatureReference

    public IncludedFeatureReference(IIncludedFeatureReference includedFeatureRef)

  Construct a feature options

Parameters:
  `includedFeatureRef` - reference to clone
Since:
  2.0.2

### IncludedFeatureReference

    public IncludedFeatureReference(IFeatureReference featureReference)

  Constructor IncludedFeatureReference.

Parameters:
  `featureReference` -

Method Detail

### getFeature

    public IFeature getFeature(boolean perfectMatch,
                               IConfiguredSite configuredSite)
                        throws CoreException

  Deprecated. use getFeature(IProgressMonitor)

  Description copied from interface: `IIncludedFeatureReference`
  Returns the referenced feature. This is a factory method that creates the full feature object.

  Specified by:
    `getFeature` in interface `IIncludedFeatureReference`
  Parameters:
    `perfectMatch` - `true` if the perfect match feature feature should be returned `false` if the best match feature should be returned.
    `configuredSite` - the configured site to search for the Feature. If the configured site is `null` the search will be done in the current configured site.
  Returns:
    the referenced feature instead
  Throws:
    `CoreException`
  See Also:
    `IIncludedFeatureReference.getFeature(boolean, IConfiguredSite)`

### getFeature

    public IFeature getFeature(boolean perfectMatch,
                               IConfiguredSite configuredSite,
                               IProgressMonitor monitor)
                        throws CoreException

  Deprecated. use getFeature(IProgressMonitor)

  Description copied from interface: `IIncludedFeatureReference`
  Returns the referenced feature. This is a factory method that creates the full feature object.

  Specified by:
    `getFeature` in interface `IIncludedFeatureReference`
  Parameters:
    `perfectMatch` - `true` if the perfect match feature feature should be returned `false` if the best match feature should be returned.
    `configuredSite` - the configured site to search for the Feature. If the configured site is `null` the search will be done in the current configured site.
    `monitor` - the progress monitor
  Returns:
    the referenced feature
  Throws:
    `CoreException`
  See Also:
    `IIncludedFeatureReference.getFeature(boolean, IConfiguredSite,IProgressMonitor)`

### getFeature

    public IFeature getFeature()
                        throws CoreException

  Deprecated. use getFeature(IProgressMonitor)

  Description copied from interface: `IIncludedFeatureReference`
  Returns the referenced feature. This is a factory method that creates the full feature object. equivalent to getFeature(false,null);

  Specified by:
    `getFeature` in interface `IIncludedFeatureReference`
  Overrides:
    `getFeature` in class `FeatureReference`
  Returns:
    the feature on the Site
  Throws:
    `CoreException`
  See Also:
    `IFeatureReference.getFeature()`

### getFeature

    public IFeature getFeature(IProgressMonitor monitor)
                        throws CoreException

  Description copied from interface: `IFeatureReference`
  Returns the referenced feature. This is a factory method that creates the full feature object.

  Specified by:
    `getFeature` in interface `IFeatureReference`
  Overrides:
    `getFeature` in class `FeatureReference`
  Returns:
    the feature on the Site
  Throws:
    `CoreException`
  See Also:
    `(IProgressMonitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.